#
# spec file for package jade_dsl (Version 1.1.1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp

%define JADE_FILE_NAME jade1_1_1.zip
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define sgml_dir $RPM_BUILD_ROOT/usr/share/sgml
%define sgml_dir_pkg %{sgml_dir}/$RPM_PACKAGE_NAME
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         jade_dsl
Release:      2
Copyright:    (c) James Clark, GPL
Group: 
Provides:     nsgmls sgmlnorm sp spam spent 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.1.1
Summary:      DSSSL-Engine for SGML documents
Source:     ftp://ftp.jclark.com/pub/jade/jade1_1_1.zip
# http://www.isogen.com/JadeMif.html
# Source1: http://itrc.uwaterloo.ca/~kmarszal/mif/protected/JadeMIF-1.0beta3a.zip
# Source2: http://www.oreilly.com/people/staff/crism/dsssl/sgml2mif.zip
Patch0:     jade_dsl.dif
Patch1:     sp.dif
BuildRoot:  /var/tmp/jade_dsl
# jade_dsl
%description
Jade is an implementation of DSSSL (Document Style, Semantics and
Specification Language); pronounce it as "dissl" -- it rimes with whistle.
The parser "nsgmls" and helper tools like "sgmlnorm", "spam",
"spent", and "sx" are now included in the separate package "sp".
You'll find the documentation at /usr/doc/packages/jade_dsl/.

Authors:
--------
    James Clark <jjc@jclark.com>
    David Megginson <dmeggins@microstar.com>

%package    -n sp
Summary:      SGML parser tools
Group:
Version:      1.3
%description -n sp
The tools of this package provide the possibility to manage SGML and XML
documents. 
It contains the parser `nsgmls' and the supporting programs `sgmlnorm',
`spam', `spent', and `sx'.  `sx' is useful as a converting tool from
SGML to XML, the comming WWW standard.  You'll find the documentation
for all the programs under /usr/doc/packages/sp/.

Authors:
--------
    James Clark <jjc@jclark.com>
    David Megginson <dmeggins@microstar.com>

%prep
%setup -T -c
unzip -a $RPM_SOURCE_DIR/%{JADE_FILE_NAME}
%patch -P 0
%patch -P 1
%build
make -f Makefile.jade \
      XDEFINES='-DSP_MULTI_BYTE \
                -DSGML_CATALOG_FILES_DEFAULT=\"CATALOG:/usr/share/sgml/CATALOG\"'
%install
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
%{INSTALL} nsgmls/nsgmls $RPM_BUILD_ROOT/usr/bin/nsgmls
%{INSTALL} spam/spam $RPM_BUILD_ROOT/usr/bin/spam
%{INSTALL} sgmlnorm/sgmlnorm $RPM_BUILD_ROOT/usr/bin/sgmlnorm
%{INSTALL} spent/spent $RPM_BUILD_ROOT/usr/bin/spent
%{INSTALL} sx/sx $RPM_BUILD_ROOT/usr/bin/sx
%{INSTALL} jade/jade $RPM_BUILD_ROOT/usr/bin/jade
%{INSTALL_DIR} %{sgml_dir_pkg}
(cd dsssl \
   && %{INSTALL_DATA} catalog dsssl.dtd fot.dtd style-sheet.dtd \
                      %{sgml_dir_pkg})
%{INSTALL_DATA} pubtext/xml.* %{sgml_dir_pkg}
%{INSTALL_DIR} %{sgml_dir}/James_Clark/dtd
%{INSTALL_DIR} %{sgml_dir}/ISO_IEC_10179:1996/dtd
(cd %{sgml_dir}/James_Clark/dtd \
   && ln -sf ../../$RPM_PACKAGE_NAME/fot.dtd DSSSL_Flow_Object_Tree)
(cd %{sgml_dir}/James_Clark/dtd \
   && ln -sf ../../$RPM_PACKAGE_NAME/style-sheet.dtd DSSSL_Style_Sheet)
(cd %{sgml_dir}/ISO_IEC_10179:1996/dtd \
   && ln -sf ../../$RPM_PACKAGE_NAME/dsssl.dtd DSSSL_Architecture)
# prepare dirs for doc installation
rm -f doc/Makefile
rm -f jadedoc/copying.txt
mv pubtext html-xml
# Check
# %doc index.html
%files
%doc COPYING README japan.sgmldecl
%doc jadedoc dsssl jade_dsl.profile
%dir /usr/share/sgml
%dir /usr/share/sgml/ISO_IEC_10179:1996
%dir /usr/share/sgml/ISO_IEC_10179:1996/dtd
%dir /usr/share/sgml/James_Clark
%dir /usr/share/sgml/James_Clark/dtd
/usr/share/sgml/jade_dsl
/usr/bin/jade
/usr/share/sgml/ISO_IEC_10179:1996/dtd/DSSSL_Architecture
/usr/share/sgml/James_Clark/dtd/DSSSL_Flow_Object_Tree
/usr/share/sgml/James_Clark/dtd/DSSSL_Style_Sheet
%files -n sp
%doc COPYING
%doc sp.profile 
%doc doc html-xml unicode
/usr/bin/nsgmls
/usr/bin/sgmlnorm
/usr/bin/spam
/usr/bin/spent
/usr/bin/sx

